public class CounterRunnable implements Runnable {

	@Override
	public void run() {
		for (int i = 1; i <= 100; i++) {
			System.out.println(getName() + ": " + i);
		}
	}

	private String getName() {
		return Thread.currentThread().getName();
	}

	public static void main(String[] args) throws Exception {
		CounterRunnable runnable = new CounterRunnable();
		Thread thread1 = new Thread(runnable);
		Thread thread2 = new Thread(runnable);
		System.out.println("Threads created");
		thread1.start();
		thread2.start();
		System.out.println("Threads started");
	}
}
